Skip to content

Find Files

POST/api/v1/retrieval/files/find

Search for files by name.

Query ParametersExpand Collapse
organization_id: optional string
project_id: optional string
Cookie ParametersExpand Collapse
session: optional string
Body ParametersJSONExpand Collapse
index_id: string

ID of the index to search within.

file_name: optional string

Exact file name to match.

file_name_contains: optional string

Substring match on file name (case-insensitive).

page_size: optional number

The maximum number of items to return. The service may return fewer than this value. If unspecified, a default page size will be used. The maximum value is typically 1000; values above this will be coerced to the maximum.

page_token: optional string

A page token, received from a previous list call. Provide this to retrieve the subsequent page.

ReturnsExpand Collapse
items: array of object { file_id, file_name }

The list of items.

file_id: string

ID of the file.

file_name: string

Display name of the file.

next_page_token: optional string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

total_size: optional number

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

Find Files

curl https://api.cloud.llamaindex.ai/api/v1/retrieval/files/find \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \
    -d '{
          "index_id": "idx-abc123"
        }'
{
  "items": [
    {
      "file_id": "file_id",
      "file_name": "file_name"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "file_id": "file_id",
      "file_name": "file_name"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}